SessionControllerKeepAlive Method |
PUT /Session/KeepAlive/{0}
Keep the current session, or a specified session, alive.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPutAttribute]
[ActionNameAttribute("KeepAlive")]
public HttpResponseMessage KeepAlive(
Nullable<Guid> id = null,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("KeepAlive")>
Public Function KeepAlive (
Optional id As Nullable(Of Guid) = Nothing,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"KeepAlive")]
HttpResponseMessage^ KeepAlive(
Nullable<Guid> id = nullptr,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("KeepAlive")>]
member KeepAlive :
?id : Nullable<Guid> *
?sessionId : Nullable<Guid>
(* Defaults:
let _id = defaultArg id null
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id (Optional)
- Type: SystemNullableGuid
An optional session ID if we don't want to keep the current session alive. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageA status code indicating success or the reason for failure.
See Also